using System;
using Server;
using Server.Network;

namespace Server.Items
{
	public class FarmableCorn : FarmableCrop
	{
		public static int GetCropID()
		{
			return 0x0C7D;
		}

		public override Item GetCropObject()
		{
			EarOfCorn corn = new EarOfCorn();

			corn.ItemID = 0xC81;

			return corn;
		}

		public override int GetPickedID()
		{
			return 0x0C7E;
		}

		[Constructable]
		public FarmableCorn() : base( GetCropID() )
		{
			Name = "corn";
		}

		public FarmableCorn( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}